#===========================================================================
# FileName: <<FileName>>
#   Author: Craig Schneider
#  Created: 2016-03-13
# Synopsis: Used by src stabalize to programmatically auto stabalize.
# <<Copyright>>
#===========================================================================

# Uncommenting this line turns off any auto stabalization.
exit 1

DIFF_FILE_NAME="$1"
if [ ! -f "$DIFF_FILE_NAME" ] ; then
   echo "ERROR: AutoStabalize called with missing file name $DIFF_FILE_NAME."
   exit 1
fi

AUTO_STABALIZE_OPERATION="LoadConnectionName Changes"

REMAINING_DIFFS=`cat "$DIFF_FILE_NAME" | \
   sed -e '/^$/d' -e '/^---$/d' \
       -e '/^[0-9]\+[,0-9]*[acd][0-9]\+[,0-9]*$/d' \
       -e "/Binary Serialization of the/d" \
       -e "/LoadConnectionName/d" \
   `

if [ $? -ne 0 ] ; then
   echo "ERROR: encountered sed error press enter to continue...."
   read PAUSE
   exit 1
fi

if [ "$REMAINING_DIFFS" != "" ] ; then
#   echo "Successfully determined not to auto-stabalize ($AUTO_STABALIZE_OPERATION)."
#   echo "Differences File Name: $DIFF_FILE_NAME"
   echo
   echo "AUTO STABALIZE REMAINING DIFFERENCES:"
   echo "====================================="
   echo "$REMAINING_DIFFS"
   echo
   exit 1
else
   echo "Successfully performing auto-stabalize ($AUTO_STABALIZE_OPERATION)."
   exit 0
fi
