#===========================================================================
# FileName: <<FileName>>
#   Author: Craig Schneider
#  Created: 1996-11-16
# Synopsis: Extract the specified section of a file.
# <<Copyright>>
#===========================================================================

EXCLUDE_PATTERNS=0
if [ "$1" = "-x" ] ; then
   EXCLUDE_PATTERNS=1
   shift
fi

NUMBERING_ON=0
if [ "$1" = "-n" ] ; then
   NUMBERING_ON=1
   shift
fi

# FIX: use options -s -e -r -f
if [ "$1" = -? -o $# -ne 3 ] ; then
   echo
   echo Usage: $0 [-n] STARTING_PATTERN ENDING_PATTERN FILENAME
   echo
   return
fi

STARTING_PATTERN="$1"
ENDING_PATTERN="$2"
FILENAME="$3"

cat $FILENAME | awk '
BEGIN { line_number = 0; inside_block = 0; }
{
   line_number = line_number + 1;
   if (index($0, ENDING_PATTERN) != 0 && inside_block == 1) {
      if (EXCLUDE_PATTERNS == 0) {
         if (NUMBERING_ON == 1)
            printf("%04d ", line_number);
         printf("%s\n", $0);
         printf("\n");
         }
      inside_block = 0;
      }
   if (inside_block == 1) {
      if (NUMBERING_ON == 1)
         printf("%04d ", line_number);
      printf("%s\n", $0);
      }
   if (index($0, STARTING_PATTERN) != 0) {
      inside_block = 1;
      if (EXCLUDE_PATTERNS == 0) {
         if (NUMBERING_ON == 1) {
            printf("LINE TEXT\n");
            printf("%04d ", line_number);
            }
         printf("%s\n", $0);
      }
      if (index($0, ENDING_PATTERN) != 0) {
         inside_block = 0;
         }
      }
} ' STARTING_PATTERN="$STARTING_PATTERN" \
      ENDING_PATTERN="$ENDING_PATTERN" \
    EXCLUDE_PATTERNS="EXCLUDE_PATTERNS" \
        NUMBERING_ON="$NUMBERING_ON"
