#===========================================================================
#  Filename: InfragisticsUpgrade.ksh
#    Author: Craig Schneider
# Orig Date: 06/20/06
# Copyright: ShadowScape Technologies, Inc. (see copyright file for details)
#  Synopsis: Upgrade the infragistics version number references.
#===========================================================================

PREV_VER=v15.1
CURR_VER=v16.2
PREV_LONG_VER=15.1.20151.1000
CURR_LONG_VER=16.2.20162.1000
PREV_WIN_VER=Infragistics2.Win
CURR_WIN_VER=Infragistics4.Win

PREV_WEBUI_LONG_VER=15.1.20151.1000
CURR_WEBUI_LONG_VER=16.2.20162.1000
PREV_WEBUI_VER=Infragistics4.Web
CURR_WEBUI_VER=Infragistics45.Web

FILE_LIST=`src.ksh grep -l $PREV_LONG_VER \*.licx`
if [ "$FILE_LIST" = "" ] ; then
   FILE_LIST=`src.ksh grep -l $PREV_VER \*.licx`
fi
if [ "$FILE_LIST" = "" ] ; then
   echo "Successfully detected all .licx files have been upgraded."
else
   src.ksh modify "$@" -diffs -replace $PREV_LONG_VER  $CURR_LONG_VER     \
                          -replace $PREV_WIN_VER   $CURR_WIN_VER          \
                          -replace $PREV_WEBUI_LONG_VER $CURR_WEBUI_LONG_VER \
                          -replace $PREV_WEBUI_VER $CURR_WEBUI_VER        \
                          -replace $PREV_VER       $CURR_VER              \
                          $FILE_LIST
fi

FILE_LIST=`src.ksh grep -l $PREV_VER \*.csproj`
if [ "$FILE_LIST" = "" ] ; then
   echo "Successfully detected all .csproj files have been upgraded."
else
   src.ksh modify "$@" -diffs -unix2dos                               \
                          -replace $PREV_LONG_VER  $CURR_LONG_VER     \
                          -replace $PREV_VER       $CURR_VER          \
                          -replace $PREV_WIN_VER   $CURR_WIN_VER      \
                          -replace $PREV_WEBUI_VER $CURR_WEBUI_VER    \
                          -end_project $FILE_LIST
fi

FILE_LIST=`src.ksh grep -l $PREV_WEBUI_LONG_VER \*.deliver`
if [ "$FILE_LIST" = "" ] ; then
   FILE_LIST=`src.ksh grep -l $PREV_VER \*.deliver`
fi
if [ "$FILE_LIST" = "" ] ; then
   echo "Successfully detected all .deliver files have been upgraded."
else
   src.ksh modify "$@" -diffs -unix2dos                            \
                          -replace $PREV_VER       $CURR_VER       \
                          -replace $PREV_WIN_VER   $CURR_WIN_VER   \
                          -replace $PREV_WEBUI_VER $CURR_WEBUI_VER \
                          $FILE_LIST
fi

FILE_LIST=`src.ksh grep -l $PREV_WEBUI_LONG_VER \*.ascx`
if [ "$FILE_LIST" = "" ] ; then
   FILE_LIST=`src.ksh grep -l $PREV_VER \*.ascx`
fi
if [ "$FILE_LIST" = "" ] ; then
   echo "Successfully detected all .ascx files have been upgraded."
else
   src.ksh modify "$@" -diffs -replace $PREV_WEBUI_LONG_VER  $CURR_WEBUI_LONG_VER \
                          -replace $PREV_WEBUI_VER       $CURR_WEBUI_VER      \
                          -replace $PREV_VER             $CURR_VER  $FILE_LIST
fi

FILE_LIST=`src.ksh grep -l $PREV_WEBUI_LONG_VER \*.aspx`
if [ "$FILE_LIST" = "" ] ; then
   FILE_LIST=`src.ksh grep -l $PREV_VER \*.aspx`
fi
if [ "$FILE_LIST" = "" ] ; then
   echo "Successfully detected all .aspx files have been upgraded."
else
   src.ksh modify "$@" -diffs -unix2dos \
                          -replace $PREV_WEBUI_LONG_VER  $CURR_WEBUI_LONG_VER \
                          -replace $PREV_WEBUI_VER       $CURR_WEBUI_VER      \
                          -replace $PREV_VER             $CURR_VER        \
                          $FILE_LIST
fi

FILE_LIST=`src.ksh grep -l $PREV_WEBUI_LONG_VER Web.Config`
if [ "$FILE_LIST" = "" ] ; then
   FILE_LIST=`src.ksh grep -l $PREV_VER Web.Config`
fi
if [ "$FILE_LIST" = "" ] ; then
   echo "Successfully detected all Web.Config files have been upgraded."
else
   src.ksh modify "$@" -diffs \
                          -replace $PREV_WEBUI_LONG_VER  $CURR_WEBUI_LONG_VER \
                          -replace $PREV_WEBUI_VER       $CURR_WEBUI_VER      \
                          -replace $PREV_VER             $CURR_VER  $FILE_LIST
fi

FILE_LIST=`src.ksh grep -l $PREV_WEBUI_LONG_VER Web.Config.https`
if [ "$FILE_LIST" = "" ] ; then
   FILE_LIST=`src.ksh grep -l $PREV_VER Web.Config.https`
fi
if [ "$FILE_LIST" = "" ] ; then
   echo "Successfully detected all Web.Config.https files have been upgraded."
else
   src.ksh modify "$@" -diffs -unix2dos \
                          -replace $PREV_WEBUI_LONG_VER  $CURR_WEBUI_LONG_VER \
                          -replace $PREV_WEBUI_VER       $CURR_WEBUI_VER      \
                          -replace $PREV_VER             $CURR_VER  $FILE_LIST
fi

FILE_LIST=`src.ksh grep -l $PREV_WEBUI_LONG_VER Web.config`
if [ "$FILE_LIST" = "" ] ; then
   FILE_LIST=`src.ksh grep -l $PREV_VER Web.config`
fi
if [ "$FILE_LIST" = "" ] ; then
   echo "Successfully detected all Web.config files have been upgraded."
else
   src.ksh modify "$@" -diffs -unix2dos \
                          -replace $PREV_WEBUI_LONG_VER  $CURR_WEBUI_LONG_VER \
                          -replace $PREV_WEBUI_VER       $CURR_WEBUI_VER      \
                          -replace $PREV_VER             $CURR_VER        \
                          $FILE_LIST
fi
