#===========================================================================
#  Filename: SyncTree.ksh
#    Author: Craig Schneider
# Orig Date: 09/05/03
# Copyright: ShadowScape Technologies, Inc. (see copyright file for details)
#  Synopsis: Syncronize the files in FamilyTree.
#===========================================================================

if [ "$1" = -? ] ; then
   cat <<!

Usage: $0

!
   exit 1
fi

EXCLUDE_FILE=$EZ_FAMILYTREE_ROOT/Config/SyncTree.exclude

TARGET_DIRECTORY="$EZ_FAMILYTREE_ROOT"
if [ "$EZ_FAMILYTREE_ROOT" = "C:/Source/FamilyTree" -a \
                    -d D:/RawDev/Source/FamilyTree ] ; then
   SOURCE_DIRECTORY=D:/RawDev/Source/FamilyTree
elif [ "$EZ_FAMILYTREE_ROOT" = "D:/RawDev/Source/FamilyTree" -a \
                                    -d C:/Source/FamilyTree ] ; then
   SOURCE_DIRECTORY=C:/Source/FamilyTree
else
   echo "ERROR: Failed to find FamilyTree directories to syncronize."
   exit 1
fi

if [ "$1" = "-push" ] ; then
   TEMP_DIR="$SOURCE_DIRECTORY"
   SOURCE_DIRECTORY="$TARGET_DIRECTORY"
   TARGET_DIRECTORY="$TEMP_DIR"
   shift
fi


DiffDirs.sh -sync -diff -exclude files -f $EXCLUDE_FILE -identical \
     -exclude dirs "Built|CodeCoverage|Config|ExtractSrc|EZVerify|Open|Staged|Scripts|fam_scripts|rel_scripts|src_scripts" \
     -exclude rdirs "NodeSrc" \
     $SOURCE_DIRECTORY $TARGET_DIRECTORY $*
