#===========================================================================
# FileName: <<FileName>>
#   Author: Craig Schneider
#  Created: 2006-02-07
# Synopsis: Finds matching file names below the current directory.
# <<Copyright>>
#===========================================================================

#===========================================================================
# Display the usage.
#===========================================================================
function Usage
{
   if [ "$1" != "" ] ; then
      echo
      echo $*
   fi
   cat <<!

Usage: dlook [-d Directory] [-FindOptions FindOptions] 
             FilePattern [FilePattern ...]

          -d: The directory path to perform the find in.
-FindOptions: Additional find options (ex -a ! -path '*.svn*')
 FilePattern: File name list or match patterns to find (ex \*.cs).

     example: dlook *.cs *.js

!
   exit 1
}

DIRECTORY="."
NEXT_ARG_IS=
FIND_OPTIONS=

typeset -l LOWERCASE_ARG
for FILE_PATTERN in "$@"
do
   LOWERCASE_ARG="$FILE_PATTERN"
   if [ "$FILE_PATTERN" = "-?" ] ; then
      Usage
   fi
   if [ "$NEXT_ARG_IS" = "DIRECTORY" ] ; then
      NEXT_ARG_IS=
      DIRECTORY="$FILE_PATTERN"
      continue
   fi
   if [ "$NEXT_ARG_IS" = "FIND_OPTIONS" ] ; then
      NEXT_ARG_IS=
      FIND_OPTIONS="$FILE_PATTERN"
      continue
   fi
   if [ "$LOWERCASE_ARG" = "-d" ] ; then
      NEXT_ARG_IS="DIRECTORY"
      continue
   fi
   if [ "$LOWERCASE_ARG" = "-findoptions" ] ; then
      NEXT_ARG_IS="FIND_OPTIONS"
      continue
   fi
   # if given a relative path or absolute path use echo instead of find
   if [ "${FILE_PATTERN#/}"   != "$FILE_PATTERN" -o \
        "${FILE_PATTERN#./}"  != "$FILE_PATTERN" -o \
        "${FILE_PATTERN#../}" != "$FILE_PATTERN" -o \
        "${FILE_PATTERN#?:}"  != "$FILE_PATTERN" ] ; then
      for SINGLE_FILE in `echo $FILE_PATTERN`
      do
         echo $SINGLE_FILE
      done
   else
      eval find $DIRECTORY -follow -name \'$FILE_PATTERN\' $FIND_OPTIONS -print
   fi
done
