#===========================================================================
# FileName: <<FileName>>
#   Author: Craig Schneider
#  Created: 2001-06-11
# Synopsis: Provide the interface to the fam suite of utilities.
# HelpType: SubSystemRoot.
# <<Copyright>>
#===========================================================================

. $EZ_SHARED_ENV

FAM_FILE_NAME=`whence fam.sh`

FAM_SCRIPTS="${FAM_FILE_NAME%fam.sh}fam_scripts"
if [ ! -d "$FAM_SCRIPTS" ] ; then
   echo "ERROR: Failed to find fam_scripts directory $FAM_SCRIPTS."
   exit 1
fi
if [ "$FAM_SCRIPTS" = "./fam_scripts" ] ; then
   FAM_SCRIPTS="$PWD/fam_scripts"
fi
export FAM_SCRIPTS
export FAM_CONFIG="$FAM_SCRIPTS"

if [ $# -eq 0 -o "$1" = "-?" ] ; then
   help.sh -d "$FAM_SCRIPTS" -s fam $1
   exit 1
fi

EZAddToPath $FAM_SCRIPTS "PREPEND"

FAM_FILE="fam_$1.ksh"
if [ ! -f "$FAM_SCRIPTS/$FAM_FILE" ] ; then
   echo "ERROR: Invalid command 'fam $1' use 'fam' or 'fam -?' for help."
   exit 1
fi
shift

$FAM_FILE "$@"
exit $?
