#===========================================================================
# FileName: <<FileName>>
#   Author: Craig Schneider
#  Created: 1995-03-22
# Synopsis: Make the specified file(s) writeable by the current user.
# <<Copyright>>
#===========================================================================

function Usage
{
   cat <<!

Usage: $0 [-m Mode] FileName(s)...

            -m: The permission to be applied by chmod (default 777).
   FileName(s): One or more file names to make writeable.

!
   exit 1
}

if [ "$1" = -? ] ; then
   Usage
fi
if [ $# -eq 0 ] ; then
   Usage
fi

if [ "$1" = "-m" ] ; then
   MODE=$2
   shift
   shift
else
   MODE=777
fi

for A_FILE in "$@"
do
   if [ ! -f "$A_FILE" ] ; then
      echo "File $A_FILE Was Not Found, Ignoring!"
      continue
   fi
   chmod -f $MODE "$A_FILE"
   if [ $? -ne 0 ] ; then
      cp    "$A_FILE"    "$A_FILE.$$"
      chmod  $MODE       "$A_FILE.$$"
      mv -f "$A_FILE.$$" "$A_FILE"
   fi
done
