#===========================================================================
#  Filename: ng_server.ksh
#    Author: Craig Schneider
# Orig Date: 11/10/16
# Copyright: ShadowScape Technologies, Inc. (see copyright file for details)
#  Synopsis: Run the ng serve command.
#===========================================================================

function Usage
{
   cat <<!

Usage: $0 [-NoBrowse]

     -NoBrowse: Do not start the browser

!
   exit 1
}

if [ "$1" = -? ] ; then
   Usage
fi

BROWSER_PORT=4200
if [ -f ".ember-cli" ] ; then
   EMBER_PORT=`grep port .ember-cli | awk '{print $2}'`
   if [ "$EMBER_PORT" != "" ] ; then
      BROWSER_PORT="$EMBER_PORT"
   fi
fi

BROWSER_URL="http://localhost:$BROWSER_PORT"
echo "Successfully browsing to $BROWSER_URL."
cygstart $BROWSER_URL

echo "Successfully running ng serve."
ng serve

#echo "Successfully running npm run server."
#npm.cmd run server

exit 0
