#===========================================================================
#  Filename: rel_extract_file.ksh
#    Author: Craig Schneider
# Orig Date: 02/14/01
# Copyright: ShadowScape Technologies, Inc. (see copyright file for details)
#  Synopsis: Extract a single file of a release.
#  HelpType: Excluded
#===========================================================================

if [ "$1" = -? ] ; then
   echo
   echo "Usage: extract_file FAMILY_DIR DESTINATION_ROOT VERSION_FILE"
   echo
   exit 1
fi

FAMILY_DIR=$1
DESTINATION_ROOT=$2
VERSION_FILE="$3"

DESTINATION_PATH="${VERSION_FILE%%@@*}"
#DESTINATION_PATH="${DESTINATION_PATH#*/$FAMILY_DIR/}"
#if [ -d "$DESTINATION_PATH" ] ; then
#   echo "Warning: Skipping dir $DESTINATION_PATH"
#   exit 0
#fi

DESTINATION_DIR="${DESTINATION_PATH%/*}"

if [ "$DESTINATION_DIR" != "$DESTINATION_PATH" ] ; then
   if [ ! -d "$DESTINATION_ROOT/$DESTINATION_DIR" ] ; then
      mkdir -p "$DESTINATION_ROOT/$DESTINATION_DIR"
      #echo "Successfully created directory $DESTINATION_ROOT/$DESTINATION_DIR"
   fi
fi

cp "$VERSION_FILE" "$DESTINATION_ROOT/$DESTINATION_PATH"
#echo "Succesfully extracted $FAMILY_DIR/$DESTINATION_PATH"

exit 0
