#===========================================================================
#  Filename: rel_make.ksh
#    Author: Craig Schneider
# Orig Date: 03/04/00
# Copyright: ShadowScape Technologies, Inc. (see copyright file for details)
#  Synopsis: Make or build the specified release.
#===========================================================================

. $EZ_SHARED_ENV

RELEASE_VERIFY_OPTIONS=

while [ "$#" -ne 0 ]
do
  case $1 in
    -no_coverage)
        RELEASE_VERIFY_OPTIONS="$RELEASE_VERIFY_OPTIONS $1"
        shift ;;
    -no_verify)
        SKIP_VERIFY=TRUE
        shift ;;
    -?) PLAIN_REL_NAME=
        shift ;;
    *)  PLAIN_REL_NAME=$1
        shift ;;
  esac
done

if [ "$PLAIN_REL_NAME" = "" ] ; then
   echo
   echo "Usage: make RELEASE_NAME"
   echo
   exit 1
fi

rel set $PLAIN_REL_NAME
top
mk
EXIT_CODE=$?
if [ $EXIT_CODE -ne 0 ] ; then
   return $EXIT_CODE
fi

if [ "${SKIP_VERIFY}" != TRUE ]; then
   rel verify $PLAIN_REL_NAME $RELEASE_VERIFY_OPTIONS
fi

#exit successfully if make successfully regardless of verify results
return 0
