#===========================================================================
#  Filename: rel_verify.ksh
#    Author: Craig Schneider
# Orig Date: 07/10/01
# Copyright: ShadowScape Technologies, Inc. (see copyright file for details)
#  Synopsis: Run VerifyEverything on the release verify sub directories.
#===========================================================================

. $EZ_SHARED_ENV

PLAIN_REL_NAME=
if [ "$1" = "-?" ] ; then
   echo
   echo "Usage: verify [-no_coverage] [RELEASE_NAME]"
   echo
   exit 1
fi

COVERAGE_OPTIONS="-CodeCoverage"
VERIFY_OPTIONS=

while [ "$#" -ne 0 ]
do
  case $1 in
 -no_coverage) COVERAGE_OPTIONS=
               shift ;;
            *) PLAIN_REL_NAME=$1
               shift ;;
  esac
done

if [ "$PLAIN_REL_NAME" != "" ] ; then
   EZ_SUPPRESS_ROOTS=TRUE
   rel set $PLAIN_REL_NAME
fi

if [ "${EZ_FAMILYTREE_ROOT#$EZ_BUILD_ROOT}" != "$EZ_FAMILYTREE_ROOT" -a \
     "$Unattended" != True ] ; then
   echo "Successfully set rel verify into Unattended mode."
   export Unattended=True          # so DNet verifies do not prompt
   export PerfContinue=True        # so DNet verifies PerfContinue
   export PerfDefaultMilliSec=2000 # slow build machines need a chance.
                                   # 4x slower is quite the chance.
fi

top

VerifyEverything.ksh $VERIFY_OPTIONS $COVERAGE_OPTIONS -no
