#===========================================================================
#  Filename: src.ksh
#    Author: Craig Schneider
# Orig Date: 08/04/04
# Copyright: ShadowScape Technologies, Inc. (see copyright file for details)
#  Synopsis: Provide the interface to the src suite of utilities.
#  HelpType: SubSystemRoot.
#===========================================================================

. $EZ_SHARED_ENV

SRC_SCRIPTS_DIR=`EZGetSrcScriptsDir`
export EZ_SOURCE_ENV="$SRC_SCRIPTS_DIR/settings_common.ksh"
if [ ! -f "$EZ_SOURCE_ENV" ] ; then
   echo "ERROR: Failed to find source env file: $EZ_SOURCE_ENV."
   exit 1
fi

if [ $# -eq 0 -o "$1" = "-?" ] ; then
   help.sh -d "$SRC_SCRIPTS_DIR" -s src $1
   exit 1
fi

EZAddToPath $SRC_SCRIPTS_DIR "PREPEND"

SRC_FILE="src_$1.ksh"
if [ ! -f "$SRC_SCRIPTS_DIR/$SRC_FILE" ] ; then
   echo "ERROR: Invalid command 'src $1' use 'src' or 'src -?' for help."
   exit 1
fi
shift

$SRC_FILE "$@"
exit $?
